Subject: Re: [PATCH 2/2] SubmittingPatches: hint at gitk's "Copy commit summary" command

From: Junio C Hamano <[email-masked]>
Date: Fri, 26 Aug 2016 11:27:21 -0700

Beat Bolli <[email-masked]> writes:

> @@ -124,7 +124,8 @@ archive, summarize the relevant points of the discussion.
>  If you want to reference a previous commit in the history of a stable
>  branch use the format "abbreviated sha1 (subject, date)". So for example
>  like this: "Commit f86a374 (pack-bitmap.c: fix a memleak, 2015-03-30)
> -noticed [...]".
> +noticed [...]". The "Copy commit summary" command of gitk generates this
> +format.

(continuing from my 1/2 review)  And if people agree that the format
gitk already uses is better, this text should probably read more
like:

    If you want to reference a previous commit in the history of a
    stable branch, use the format "abbreviated sha1 (subject, date)",
    with the subject enclosed in a pair of double-quotes, like this:

        Commit f86a374 ("pack-bitmap.c: fix a memleak", 2015-03-30)
        noticed that ...

    The "Copy commit summary" command of gitk can be used to obtain this
    format.